6.0.0-git
2019-11-19

[#14955] ActiveSync synch stops with 500 error in log file
Summary ActiveSync synch stops with 500 error in log file
Queue Synchronization
Queue Version FRAMEWORK_5_2
Type Bug
State Resolved
Priority 2. Medium
Owners mrubinsk (at) horde (dot) org
Requester horde (at) agotnes (dot) com
Created 2019-10-16 (34 days ago)
Due
Updated 2019-11-09 (10 days ago)
Assigned 2019-10-17 (33 days ago)
Resolved 2019-11-09 (10 days ago)
Milestone
Patch No

History
2019-11-09 17:03:59 Michael Rubinsky Comment #9
State ⇒ Resolved
Reply to this comment
Horde_ActiveSync 2.40.2
2019-10-28 09:58:59 horde (at) agotnes (dot) com Comment #8 Reply to this comment
Please provide a copy of the email to mrubinsk@horde.org.
Done :)
2019-10-27 02:28:19 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit 2c2c45c7ad4aa181523a55e8d14464f413493d5c
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 26 Oct 2019 22:28:11 -0400

[mjr] Don't let error in iCal throw a fatal error. (Bug #14955).

  M doc/Horde/ActiveSync/changelog.yml

https://github.com/horde/ActiveSync/commit/2c2c45c7ad4aa181523a55e8d14464f413493d5c
2019-10-27 02:25:18 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 560a85b91aa389132748d6e3ab1ea346ffcaaebf
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 26 Oct 2019 22:25:09 -0400

[mjr] Don't let error in iCal throw a fatal error. (Bug #14955).

  M doc/Horde/ActiveSync/CHANGES
  M package.xml

https://github.com/horde/ActiveSync/commit/560a85b91aa389132748d6e3ab1ea346ffcaaebf
2019-10-27 02:25:17 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit a8079bcd339806dad6401cc443ad0058d1f83a24
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 26 Oct 2019 22:25:09 -0400

[mjr] Don't let error in iCal throw a fatal error. (Bug #14955).

  M doc/Horde/ActiveSync/changelog.yml

https://github.com/horde/ActiveSync/commit/a8079bcd339806dad6401cc443ad0058d1f83a24
2019-10-27 02:25:17 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 5197912d0c4d95cdb2e5cbfd996b7df7543392e0
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 26 Oct 2019 22:23:15 -0400

Don't let error in iCal throw a fatal error.

Prevents the sync failure in Bug: 14955, but not the cause of the
parsing error.

  M lib/Horde/ActiveSync/Imap/EasMessageBuilder.php

https://github.com/horde/ActiveSync/commit/5197912d0c4d95cdb2e5cbfd996b7df7543392e0
2019-10-27 02:21:16 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 47cc9109fc5da586cd8a70d8f4547152e689896f
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Sat, 26 Oct 2019 22:20:18 -0400

Don't let error in iCal throw a fatal error.

Prevents the sync failure in Bug: 14955, but not the cause of the
parsing error.

  M lib/Horde/ActiveSync/Imap/EasMessageBuilder.php

https://github.com/horde/ActiveSync/commit/47cc9109fc5da586cd8a70d8f4547152e689896f
2019-10-17 21:36:57 Michael Rubinsky Comment #2
Assigned to Michael Rubinsky
State ⇒ Feedback
Reply to this comment
Please provide a copy of the email to mrubinsk@horde.org.
2019-10-16 10:17:32 horde (at) agotnes (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ ActiveSync synch stops with 500 error in log file
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
See below for error message in log file, I have a copy of the 
offending email I'm happy to share privately as I suspect that'll help 
:)

Symptom; ActiveSync on device pauses for a bit, once the error is 
realised by device it clears the list of emails and starts 
synchronising again. It doesn't quite get to the offending email, and 
nothing after the offending email appears on the device so the error 
effectively stops email synch from working at all from a usability 
perspective.

--

Returning HTTP 500 while handling Sync command. Error is: Unable to 
create object for type X-ICLOUD-PERUSER [pid 17664 on line 160 of 
"/var/www/htdocs/horde/rpc.php"]
Oct 16 21:03:14 srv HORDE[17664]: Error in communicating with 
ActiveSync server: Unable to create object for type X-ICLOUD-PERUSER 
[pid 17664 on line 165 of "/usr/share/php/Horde/Rpc/ActiveSync.php"]
Oct 16 21:03:14 srv HORDE[17664]: #0 
/usr/share/php/Horde/ActiveSync/Imap/EasMessageBuilder.php(316): 
Horde_Icalendar->parsevCalendar('BEGIN:VCALENDAR...', 'VCALENDAR', 
'us-ascii')
#1 /usr/share/php/Horde/ActiveSync/Imap/EasMessageBuilder.php(396): 
Horde_ActiveSync_Imap_EasMessageBuilder->_meetingRequest()
#2 /usr/share/php/Horde/ActiveSync/Imap/EasMessageBuilder.php(160): 
Horde_ActiveSync_Imap_EasMessageBuilder->_specialTypes()
#3 /usr/share/php/Horde/ActiveSync/Imap/EasMessageBuilder.php(110): 
Horde_ActiveSync_Imap_EasMessageBuilder->_populateObject()
#4 /usr/share/php/Horde/ActiveSync/Imap/Adapter.php(812): 
Horde_ActiveSync_Imap_EasMessageBuilder->getMessageObject(Array)
#5 /usr/share/php/Horde/ActiveSync/Imap/Adapter.php(411): 
Horde_ActiveSync_Imap_Adapter->_buildMailMessage(Object(Horde_Imap_Client_Mailbox), Object(Horde_Imap_Client_Data_Fetch), 
Array)
#6 /usr/share/php/Horde/Core/ActiveSync/Driver.php(1452): 
Horde_ActiveSync_Imap_Adapter->getMessages('INBOX', Array, Array)
#7 /usr/share/php/Horde/ActiveSync/Connector/Exporter/Sync.php(489): 
Horde_Core_ActiveSync_Driver->getMessage('INBOX', 85709, Array)
#8 /usr/share/php/Horde/ActiveSync/Connector/Exporter/Sync.php(68): 
Horde_ActiveSync_Connector_Exporter_Sync->_sendNextChange()
#9 /usr/share/php/Horde/ActiveSync/Request/Sync.php(467): 
Horde_ActiveSync_Connector_Exporter_Sync->sendNextChange()
#10 /usr/share/php/Horde/ActiveSync/Request/Base.php(256): 
Horde_ActiveSync_Request_Sync->_handle()
#11 /usr/share/php/Horde/ActiveSync.php(839): 
Horde_ActiveSync_Request_Base->handle()
#12 /usr/share/php/Horde/Rpc/ActiveSync.php(143): 
Horde_ActiveSync->handleRequest('Sync', 'N86OFFUJEL6IL4P...')
#13 /var/www/htdocs/horde/rpc.php(160): 
Horde_Rpc_ActiveSync->getResponse(NULL)
#14 {main} [pid 17664 on line 165 of 
"/usr/share/php/Horde/Rpc/ActiveSync.php"]
Oct 16 21:03:14 srv HORDE[17664]: Buffer contents:  [pid 17664 on line 
165 of "/usr/share/php/Horde/Rpc/ActiveSync.php"]
Oct 16 21:03:15 srv HORDE[19011]: Returning HTTP 500 while handling 
Sync command. Error is: Unable to create object for type 
X-ICLOUD-PERUSER [pid 19011 on line 160 of 
"/var/www/htdocs/horde/rpc.php"]
Oct 16 21:03:15 srv HORDE[19011]: Error in communicating with 
ActiveSync server: Unable to create object for type X-ICLOUD-PERUSER 
[pid 19011 on line 165 of "/usr/share/php/Horde/Rpc/ActiveSync.php"]
Oct 16 21:03:15 srv HORDE[19011]: #0 
/usr/share/php/Horde/ActiveSync/Imap/EasMessageBuilder.php(316): 
Horde_Icalendar->parsevCalendar('BEGIN:VCALENDAR...', 'VCALENDAR', 
'us-ascii')
#1 /usr/share/php/Horde/ActiveSync/Imap/EasMessageBuilder.php(396): 
Horde_ActiveSync_Imap_EasMessageBuilder->_meetingRequest()
#2 /usr/share/php/Horde/ActiveSync/Imap/EasMessageBuilder.php(160): 
Horde_ActiveSync_Imap_EasMessageBuilder->_specialTypes()
#3 /usr/share/php/Horde/ActiveSync/Imap/EasMessageBuilder.php(110): 
Horde_ActiveSync_Imap_EasMessageBuilder->_populateObject()
#4 /usr/share/php/Horde/ActiveSync/Imap/Adapter.php(812): 
Horde_ActiveSync_Imap_EasMessageBuilder->getMessageObject(Array)
#5 /usr/share/php/Horde/ActiveSync/Imap/Adapter.php(411): 
Horde_ActiveSync_Imap_Adapter->_buildMailMessage(Object(Horde_Imap_Client_Mailbox), Object(Horde_Imap_Client_Data_Fetch), 
Array)
#6 /usr/share/php/Horde/Core/ActiveSync/Driver.php(1452): 
Horde_ActiveSync_Imap_Adapter->getMessages('INBOX', Array, Array)
#7 /usr/share/php/Horde/ActiveSync/Connector/Exporter/Sync.php(489): 
Horde_Core_ActiveSync_Driver->getMessage('INBOX', 85709, Array)
#8 /usr/share/php/Horde/ActiveSync/Connector/Exporter/Sync.php(68): 
Horde_ActiveSync_Connector_Exporter_Sync->_sendNextChange()
#9 /usr/share/php/Horde/ActiveSync/Request/Sync.php(467): 
Horde_ActiveSync_Connector_Exporter_Sync->sendNextChange()
#10 /usr/share/php/Horde/ActiveSync/Request/Base.php(256): 
Horde_ActiveSync_Request_Sync->_handle()
#11 /usr/share/php/Horde/ActiveSync.php(839): 
Horde_ActiveSync_Request_Base->handle()
#12 /usr/share/php/Horde/Rpc/ActiveSync.php(143): 
Horde_ActiveSync->handleRequest('Sync', 'N86OFFUJEL6IL4P...')
#13 /var/www/htdocs/horde/rpc.php(160): 
Horde_Rpc_ActiveSync->getResponse(NULL)
#14 {main} [pid 19011 on line 165 of 
"/usr/share/php/Horde/Rpc/ActiveSync.php"]

Saved Queries